public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add the systemd-modules-load test to upstream repo
@ 2026-09-11 13:18 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:18 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 4dc7fc74d23744198d45c94dd182f7611511f6ac
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2020-09-03T10:02:57+02:00
            Stats  : +210/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/4dc7fc74d23744198d45c94dd182f7611511f6ac?branch=pr775-checkpolicy-revdeps

            Log:
            add the systemd-modules-load test to upstream repo

The systemd-modules-load service is available in various Fedoras
and RHELs, so it makes sense to run the TC in upstream testing too.

There are no changes in the TC functionality, except for the kernel
module (downstream: nf_conntrack_ipv4 vs. upstream: nf_conntrack_pptp)
that is used.

Moving the downstream TC to upstream repo.

---
diff --git a/selinux-policy/systemd-modules-load-and-similar/Makefile b/selinux-policy/systemd-modules-load-and-similar/Makefile
new file mode 100644
index 0000000..aeca98e
--- /dev/null
+++ b/selinux-policy/systemd-modules-load-and-similar/Makefile
@@ -0,0 +1,80 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Regression/systemd-modules-load-and-similar
+#   Description: SELinux interferes with the systemd-modules-load service and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/systemd-modules-load-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     SELinux interferes with the systemd-modules-load service and related programs" >> $(METADATA)
+	@echo "Type:            Regression" >> $(METADATA)
+	@echo "TestTime:        10m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "RunFor:          systemd" >> $(METADATA)
+	@echo "Requires:        audit initscripts libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console openssh-clients systemd-udev" >> $(METADATA)
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5 -RHEL6 -RHEL7" >> $(METADATA)
+	@echo "Bug:             1358526" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1358960" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1360157" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1360488" >> $(METADATA) # Fedora 24
+	@echo "Bug:             1437153" >> $(METADATA) # Fedora 25
+	@echo "Bug:             1438253" >> $(METADATA) # Fedora 25
+	@echo "Bug:             1490015" >> $(METADATA) # Fedora 27
+	@echo "Bug:             1493293" >> $(METADATA) # Fedora 27
+	@echo "Bug:             1697632" >> $(METADATA) # Fedora 30
+	@echo "Bug:             1698200" >> $(METADATA) # Fedora 30
+	@echo "Bug:             1699559" >> $(METADATA) # Fedora 30
+	@echo "Bug:             1823246" >> $(METADATA) # RHEL-8
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/systemd-modules-load-and-similar/PURPOSE b/selinux-policy/systemd-modules-load-and-similar/PURPOSE
new file mode 100644
index 0000000..09e5e6b
--- /dev/null
+++ b/selinux-policy/systemd-modules-load-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/systemd-modules-load-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with the systemd-modules-load service and related programs.
+

diff --git a/selinux-policy/systemd-modules-load-and-similar/main.fmf b/selinux-policy/systemd-modules-load-and-similar/main.fmf
new file mode 100644
index 0000000..4fdb6c5
--- /dev/null
+++ b/selinux-policy/systemd-modules-load-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/systemd-modules-load-and-similar
+tier: 2

diff --git a/selinux-policy/systemd-modules-load-and-similar/runtest.sh b/selinux-policy/systemd-modules-load-and-similar/runtest.sh
new file mode 100755
index 0000000..b345047
--- /dev/null
+++ b/selinux-policy/systemd-modules-load-and-similar/runtest.sh
@@ -0,0 +1,123 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Regression/systemd-modules-load-and-similar
+#   Description: SELinux interferes with the systemd-modules-load service and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/lib/systemd/systemd-modules-load"
+FILE_CONTEXT="systemd_modules_load_exec_t"
+SERVICE_PACKAGE="systemd-udev"
+SERVICE_NAME="systemd-modules-load"
+PROCESS_NAME="systemd-modules-load"
+PROCESS_CONTEXT="systemd_modules_load_t"
+KERNEL_MODULE="nf_conntrack_pptp"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm ${SERVICE_PACKAGE}
+
+        rlServiceStop ${SERVICE_NAME}
+        rlFileBackup /etc/shadow
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "SELinux contexts and rules"
+        rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+        SOURCE_TYPE="init_t" # systemd runs the process
+        rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute } $BOOLEANS"
+        rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition } $BOOLEANS"
+        rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT} $BOOLEANS"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1358526 + bz#1358960 + bz#1360157"
+        rlSEMatchPathCon "/usr/lib/systemd/systemd-modules-load" "systemd_modules_load_exec_t"
+        rlSEMatchPathCon "/etc/modprobe.d" "modules_conf_t"
+        rlSEMatchPathCon "/etc/modprobe.d/something.conf" "modules_conf_t"
+        rlSESearchRule "allow systemd_modules_load_t modules_conf_t : dir { getattr open search } [ ]"
+        rlSESearchRule "allow systemd_modules_load_t modules_conf_t : file { getattr open read } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1360488 + bz#1490015"
+        rlSEMatchPathCon "/usr/lib/modules/some-kernel/extra/some-module.ko" "modules_object_t"
+        rlSESearchRule "allow systemd_modules_load_t modules_object_t : file { getattr open read map } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1493293 + bz#1697632 + bz#1698200 + bz#1699559"
+        rlSEMatchPathCon "/usr/lib/modules/some-kernel/modules.alias.bin" "modules_dep_t"
+        rlSEMatchPathCon "/usr/lib/modules/some-kernel/modules.dep.bin" "modules_dep_t"
+        rlSEMatchPathCon "/usr/lib/modules/some-kernel/modules.softdep" "modules_dep_t"
+        rlSESearchRule "allow systemd_modules_load_t modules_dep_t : file { getattr open read map } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1437153 + bz#1438253"
+        rlSESearchRule "allow systemd_modules_load_t systemd_modules_load_t : system { module_load } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1823246"
+        rlSEMatchPathCon "/usr/lib/systemd/systemd-modules-load" "systemd_modules_load_exec_t"
+        rlSEMatchPathCon "/usr/bin/bash" "shell_exec_t"
+        rlSEMatchPathCon "/usr/bin/kmod" "kmod_exec_t"
+        rlSEMatchPathCon "/usr/sbin/sysctl" "bin_t"
+        rlSESearchRule "allow systemd_modules_load_t shell_exec_t : file { execute execute_no_trans map } [ ]"
+        rlSESearchRule "allow systemd_modules_load_t kmod_exec_t : file { getattr open read execute execute_no_trans } [ ]"
+        rlSESearchRule "allow systemd_modules_load_t bin_t : file { execute execute_no_trans map } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "real scenario -- standalone service"
+        rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+        rlRun "echo ${KERNEL_MODULE} > /etc/modules-load.d/${KERNEL_MODULE}.conf"
+        rlRun "lsmod"
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} - ${PROCESS_CONTEXT} "start status" 1
+        rlRun "lsmod | grep ${KERNEL_MODULE}"
+        rlRun "restorecon -Rv /run /var" 0-255
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} - ${PROCESS_CONTEXT} "stop status" 1
+        rlRun "lsmod"
+        rlRun "rm -f /etc/modules-load.d/${KERNEL_MODULE}.conf"
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC
+
+        rlFileRestore
+        rlServiceRestore ${SERVICE_NAME}
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: add the systemd-modules-load test to upstream repo Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox